Parameters
JSON body
Request body
application/jsoncurrentSlugstringRequiredCurrent branch slug.
newSlugstringRequiredDesired new slug (will be slugified/deduplicated).
Length: 1–∞
Renames the slug of a branch. The new slug is sanitized and deduplicated so that it remains unique within the organisation.
JSON body
currentSlugstringRequiredCurrent branch slug.
newSlugstringRequiredDesired new slug (will be slugified/deduplicated).
1 status code documented
successbooleanRequiredslugstringRequired{
"success": false,
"slug": "example_slug"
}POST /bff/branch/change-slug
curl -X POST "https://api.bizkithub.com/bff/branch/change-slug" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"currentSlug": "example_currentSlug",
"newSlug": "example_newSlug"
}'All BizKitHub public API endpoints require authentication via API key.